@ECHO OFF
REM ***************************************************************************
REM ** Intuit QuickBooks 2008 Installation Script                            **
REM **													                     **
REM ** This script will automatically install QuickBooks 2008 to the local   **
REM ** hard disk in the program's default location.  The performs a single   **
REM ** user installation of the program and instructs the installer not to   **
REM ** install the Google Desktop components.                                **
REM **                                                                       **
REM ** In order to use this script you must supply your own Product Key and  **
REM ** Product Number using the variables PRODUCT_KEY and PRODUCT_NUM below. **
REM ** These values will be automatically plugged into the msiexec command   **
REM ** that is executed to install the program.                              **
REM **																	     **
REM ** You will also need to set the path to the installation source using   **
REM ** the BASE_PATH variable. I need to explicitly set this value in order  **
REM ** to perform by installations from a network.                           **
REM **                                                                       **
REM ** @author Brian Reich <breich@reich-consulting.net>                     **
REM ** @copyright (C) 2008 Reich Consulting http://www.reich-consulting.net  **
REM ** @version 2008-03-24							                         **
REM ***************************************************************************

REM ***************************************************************************
REM ** Set the following values before running install.bat:                  **
REM **                                                                       **
REM ** BASE_PATH: The directory or UNC path containing QuickBooks.msi        **
REM ** LICENSE_NUM: The license number for QB 2008: ####-####-####-###       **
REM ** PRODUCT_NUM: The product number for QB 2008: ###-###                  **
REM ***************************************************************************
SET BASE_PATH=\\path\to\qb2008
SET LICENSE_NUM=####-####-####-###
SET PRODUCT_NUM=###-###

REM ***************************************************************************
REM ** The following lines will build a list of options to send to MSIEXEC,  **
REM ** then launch the installation.  If the installation fails the user     **
REM ** will be told that it failed.                                          **
REM ***************************************************************************
SET OPTIONS=CKBOX_GDS=0 AgreeToLicense=Yes MULTIUSERINSTALL=0 QB_LICENSENUM=%LICENSE_NUM% QB_PRODUCTNUM=%PRODUCT_NUM%
msiexec /i %BASE_PATH%\QuickBooks.msi /qb %OPTIONS%
IF NOT ERRORLEVEL 0 GOTO :INSTALLATION_FAILED
GOTO :END


REM *******************************************************
REM ** Quickbooks installation failed, show an error     **
REM ** message and set the DOS error level to non-zero.  **
REM *******************************************************

:INSTALLATION_FAILED
ECHO Installation of Intuit QuickBooks 2008 Application Failed
SET ERRORLEVEL=1
GOTO :END




:END
IF NOT ERRORLEVEL 0 ECHO Installation Failed.
IF ERRORLEVEL 0 ECHO Installation Succeeded.